gsm48_system_information_type_6 Struct Reference

`#include <gsm_04_08.h>`

## Data Fields

uint8_t | skip_indicator:4
uint8_t | rr_protocol_discriminator:4
uint8_t | system_information
uint16_t | cell_identity
struct gsm48_loc_area_id | lai
struct gsm48_cell_options | cell_options
uint8_t | ncc_permitted
uint8_t | rest_octets [0]

## Field Documentation

## cell_identity

uint16_t gsm48_system_information_type_6::cell_identity

## cell_options

struct gsm48_cell_options gsm48_system_information_type_6::cell_options

## lai

struct gsm48_loc_area_id gsm48_system_information_type_6::lai

## ncc_permitted

uint8_t gsm48_system_information_type_6::ncc_permitted

## rest_octets

uint8_t gsm48_system_information_type_6::rest_octets[0]

## rr_protocol_discriminator

uint8_t gsm48_system_information_type_6::rr_protocol_discriminator

## skip_indicator

uint8_t gsm48_system_information_type_6::skip_indicator

## system_information

uint8_t gsm48_system_information_type_6::system_information

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_04_08.h